## yudit 3.0.9

=== addon/Makefile ===
#
# This is a simple Makefile for one level c++ addons.
#
# Gaspar Sinai <gaspar@yudit.org>
# 2020-05-04, Tokyo
#
# If you see broken links here this is beta version.
#
include ../Makefile.conf

SOURCES=$(wildcard */*.cpp)

#
# In case you have those addons.
#
SYNTAX=../../syntax-1.6
TRUETYPE=../../truetype-1.13
# yudit_sedy-0.7.2 had a bug on arm64
YUDIT_SEDY=../../yudit_sedy-0.7.5


ifeq ($(SPLATFORM),WINDOWS)
OBJS=$(subst .cpp,.obj,$(SOURCES))
TARGET=addon.lib
else
OBJS=$(subst .cpp,.o,$(SOURCES))
TARGET=libaddon.a
endif

.PHONY: copy syntax

SUBDIRS=$(sort $(dir $(SOURCES)))
SUBDIR_CPP_FLAGS=$(patsubst %,-I$(TOPDIR)/addon/%,$(SUBDIRS))


CPPFLAGS:=$(CPPFLAGS) -DNO_MAIN

all: $(TARGET) syntax

syntax:
ifneq (,$(wildcard  syntax/*))
	$(MAKE) -C syntax all
endif

addon.lib: $(OBJS)
	$(AR)$@ $(OBJS)

libaddon.a: $(OBJS)
	$(AR) $@ $(OBJS)
	$(RANLIB) $@      

%.o:%.cpp
	$(CXX) -c -o $@ $(SUBDIR_CPP_FLAGS) $(CPPFLAGS) $(patsubst %.o,%.cpp,$@)

#Windows will create it in local, we need to move it
%.obj:%.cpp
	$(CXX) -c $(SUBDIR_CPP_FLAGS) $(CPPFLAGS) $(patsubst %.obj,%.cpp,$@)
	mv $(@F) $(@D)

depend:
	$(CXX) -M $(SUBDIR_CPP_FLAGS) $(CPPFLAGS)  $(patsubst %.o,%.cpp,$(OBJS)) > .depend

clean: 
	rm -f $(wildcard */*.o)   $(wildcard */*.obj) $(TARGET) .depend

distclean: clean
	rm -rf syntax truetype yudit_sedy

# In case you have WARNING: 'aclocal-1.13' is missing on your system.
# in syntax, you sould touch these files in syntax-1.2/src/hunspell-1.3.0-cvs/
# touch configure.ac aclocal.m4 configure Makefile.am Makefile.in
# https://stackoverflow.com/questions/18769770/user-of-autotools-generated-tarball-gets-error-message-aclocal-1-13-command-no
# We hope original timestamps are correc, so we copy with -pR
copy:
ifneq (,$(wildcard  $(YUDIT_SEDY)/*))
	cp -pR $(YUDIT_SEDY) yudit_sedy
	rm -rf yudit_sedy/*.obj yudit_sedy/*.o
else
	@echo WARNING yudit_sedy plugin skipped.
endif
ifneq (,$(wildcard  $(SYNTAX)/*))
	cp -pR $(SYNTAX) syntax
else
	@echo WARNING syntax plugin skipped.
endif
ifneq (,$(wildcard  $(TRUETYPE)/*))
	cp -pR $(TRUETYPE) truetype
	make -C truetype all
	rm -rf truetype/reduced
	rm -rf truetype/candidate
else
	@echo WARNING truetype plugin skipped.
endif


install:

# This is called by bin/wininst on windows.
wininst_fonts:
ifneq (,$(wildcard  truetype/target/*))
	cp -R truetype/target/* $(INSTALLDIR)/fonts 
else
	@echo WARNING truetype plugin skipped.
endif

wininst_syntax:
ifneq (,$(wildcard  syntax/target/*))
	cp -R syntax/target/* $(INSTALLDIR)/syntax 
else
	@echo WARNING syntax plugin skipped
endif

ifeq (.depend, $(wildcard .depend))
include .depend
endif

=== tests/Makefile ===
include ../Makefile.conf

UNIPRINT=/usr/bin/uniprint

TXT=$(wildcard *.txt)
PS=$(subst .txt,.ps,$(TXT))
CPP=$(subst .txt,.cpp,$(TXT))

all: $(PS) $(CPP) rasterizerTest  toolTest
SLIBS=-L../addon -laddon -L../swidget -lswidget -L../swindow -lswindow -L../stoolkit  -lstoolkit $(ALL_LIBS)

%.ps: 
	$(UNIPRINT) -font Serif.ttf -font gulim.ttf -size 20 -hsize 0 -out $(patsubst %.cpp,%.ps,$@) < $(patsubst %.ps,%.txt,$@)

rasterizerTest: RasterizerTest.o 
	$(LD) -o rasterizerTest RasterizerTest.o $(SLIBS) 

toolTest: ToolTest.o 
	$(LD) -o toolTest ToolTest.o $(SLIBS) 

%.o:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .o,.cpp,$@)

z.cpp: z.txt
	$(UNIPRINT) -font default -size 20 -hsize 0 -out $(patsubst %.cpp,%.ps,$@) < $(patsubst %.cpp,%.txt,$@)
	perl ps2cpp.pl <  $(patsubst %.cpp,%.ps,$@) > $@

%.cpp: %.txt
	perl ps2cpp.pl <  $(patsubst %.cpp,%.ps,$@) > $@


clean:
	rm -f *.o rasterizerTest toolTest

distclean:
	rm -f *.o rasterizerTest toolTest $(CPP)

=== debian/changelog ===
yudit (3.0.9-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - Refresh patches
  * debian/yudit-common.lintian-overredes
    - Ignore national-encoding warning since it should be as is.
  * debian/copyright
    - Fix copyright file, s/fonts-src/font-src/

 -- Hideki Yamane <henrich@debian.org>  Tue, 31 Jan 2023 15:17:51 +0900

yudit (3.0.8-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - Set Standards-Version: 3.6.2
  * debian/patches
    - Refresh patches

 -- Hideki Yamane <henrich@debian.org>  Wed, 18 Jan 2023 23:08:48 +0900

## yudit 3.1.0

=== addon/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # In case you have those addons.
 #
 SYNTAX=../../syntax-1.6
-TRUETYPE=../../truetype-1.13
+TRUETYPE=../../truetype-1.14
 # yudit_sedy-0.7.2 had a bug on arm64
 YUDIT_SEDY=../../yudit_sedy-0.7.5
 
@@ -67,7 +67,7 @@
 	rm -rf syntax truetype yudit_sedy
 
 # In case you have WARNING: 'aclocal-1.13' is missing on your system.
-# in syntax, you sould touch these files in syntax-1.2/src/hunspell-1.3.0-cvs/
+# in syntax, you should touch these files in syntax-1.2/src/hunspell-1.3.0-cvs/
 # touch configure.ac aclocal.m4 configure Makefile.am Makefile.in
 # https://stackoverflow.com/questions/18769770/user-of-autotools-generated-tarball-gets-error-message-aclocal-1-13-command-no
 # We hope original timestamps are correc, so we copy with -pR

=== bin/Makefile ===
all: 

#
# UNIDATA directory should have:
# UnicodeData.txt
# # Unihan.txt - obseleted eastasia wont be made
# BidiMirroring.txt
#
# Updated from 13.0.0 
VERSION=15.0.0
UNIROOT=/home/gsinai/Documents/Unicode/ftp.unicode.org/$(VERSION)

UNIDATA=$(UNIROOT)/ucd

# This has been removed. Dont make eastasia
MAPPINGS=$(UNIROOT)/MAPPINGS
#
# This is the target for unicode updates.
#
map: charclass bidiclass precompose1 mirror olditalic shape kmap braille

restricted: gcategory shape mirror precompose1 olditalic jis2000

charclass: $(UNIDATA)/UnicodeData.txt
	perl charclass.pl $(VERSION) $< > ../mytool/mys/charclass.mys

bidiclass: $(UNIDATA)/UnicodeData.txt
	perl bidiclass.pl $(VERSION) $< > ../mytool/mys/bidiclass.mys

precompose1: $(UNIDATA)/UnicodeData.txt
	perl precompose1.pl $(VERSION) $< > ../mytool/mys/precompose1.mys

mirror: $(UNIDATA)/BidiMirroring.txt
	perl mirroring.pl $(VERSION) $< > ../mytool/uni/mirroring.txt 

olditalic: $(UNIDATA)/UnicodeData.txt
	perl olditalic.pl $(VERSION) u $< > ../mytool/mys/OldItalic.mys

shape: $(UNIDATA)/UnicodeData.txt
	./shape.pl $(VERSION) $< > ../mytool/mys/shape.mys 2> /dev/null

kmap: ../mytool/mys/shape.mys
	./arabickmap.pl $< > ../mytool/kmap/ArabicTranslit.kmap 

Emoji: Emoji.txt
	./simplemys.pl $< > ../mytool/mys/Emoji.mys

braille:
	perl kmap/braille_Japanese.pl > ../mytool/kmap/BrailleJapanese.kmap
	perl kmap/braille_Hungarian.pl > ../mytool/kmap/BrailleHungarian.kmap
	perl kmap/braille_English.pl > ../mytool/kmap/BrailleEnglish.kmap
	perl kmap/braille_European.pl > ../mytool/kmap/BrailleEuropean.kmap
#
# This will create eastasia - that is obsolete
# JIS0201.TXT can not be calculated....
#
eastasia: $(UNIDATA)/Unihan.txt
	cp  $(MAPPINGS)/OBSOLETE/EASTASIA/JIS/JIS0201.TXT  MAPPINGS
	./eastasia.pl --dir MAPPINGS  $<

# CP949.TXT stripped will make KSC5601.TXT - this has nothing
# to do with KSC5601 but I will still keep it.
# 
korean:
	wget http://jshin.net/faq/KSX1001.TXT.gz
	wget http://jshin.net/faq/JOHAB.TXT.gz
	gunzip KSX1001.TXT.gz
	gunzip JOHAB.TXT.gz
	mv KSX1001.TXT MAPPINGS
	mv JOHAB.TXT MAPPINGS
	perl -ne 'next if (/^0x[0-9A-Za-z]{2}[ \t]/);print;' $(MAPPINGS)/VENDORS/MICSFT/WINDOWS/CP949.TXT > MAPPINGS/KSC5601.TXT

clean:
	rm MAPPINGS/KSX1001.*
	rm MAPPINGS/JOHAB.*

veryclean:
	rm MAPPINGS/KSX1001.*
	rm MAPPINGS/JOHAB.*

=== gui/Makefile ===
include ../Makefile.conf


TARGETOBJS=SYudit.o SToolBar.o SMessageBar.o SMessageLabel.o  \
SKMapPanel.o SKMapDialog.o SHighlightD.o

TARGETDIR=
MAINOBJ=Main.o
MAIN=yudit

LOCALES=$(subst locale/,,$(wildcard locale/*))

ifeq ($(SPLATFORM),WINDOWS)
TARGET=gui.lib
OBJS=$(subst .o,.obj,$(TARGETOBJS))
MAINOBJS=$(subst .o,.obj,$(MAINOBJ))
SLIBS=/libpath:../stoolkit stoolkit.lib /libpath:../addon addon.lib
SWINLIBS=/libpath:../swindow  swindow.lib
SWIDGETLIBS=/libpath:../swidget swidget.lib
SGUILIBS=/libpath:../gui /subsystem:WINDOWS gui.lib 
MYLIBS=/link /subsystem:WINDOWS $(SGUILIBS) $(SWIDGETLIBS) $(SWINLIBS) $(SLIBS) $(SWINDOW_LIBS) $(ALL_LIBS)
RESOURCE=yudit.res
else
TARGET=libgui.a
OBJS=$(TARGETOBJS)
MAINOBJS=$(MAINOBJ)

SLIBS=-L../stoolkit  -lstoolkit  -L../addon -laddon
SWIDGETLIBS=-L../swidget -lswidget 
SGUILIBS=-L../gui -lgui 

ifeq ($(SWINDOWS),OSX)
SWINLIBS=-L../swindow -lswindow -Wl,-framework,Cocoa
else
SWINLIBS=-L../swindow -lswindow
endif

MYLIBS=$(SGUILIBS) $(SWIDGETLIBS) $(SWINLIBS) $(SLIBS) $(ALL_LIBS)
RESOURCE=
endif

.PHONY: messages

all: $(TARGET) $(MAIN)

$(MAIN): $(TARGET) $(MAINOBJS) $(RESOURCE)
	$(LD) -o yudit $(MAINOBJS) $(RESOURCE) $(MYLIBS)

#
# This is a windows thing
#
yudit.res:
	rc /Fo $@ yudit.rc 

gui.lib: $(OBJS)
	$(AR)$@ $(subst swin32/,,$(OBJS))

libgui.a: $(OBJS)
	$(AR) $@ $(OBJS)
	$(RANLIB) $@      

%.o:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .o,.cpp,$@)

%.obj:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .obj,.cpp,$@)

depend:
	$(CXX) -M  $(CPPFLAGS)  $(patsubst %.o,%.cpp,$(OBJS)) > .depend

install: 
	@for i in $(LOCALES); do \
		if test ! -d $(DESTDIR)/$(localedir)/$$i/LC_MESSAGES; then \
			mkdir -p $(DESTDIR)/$(localedir)/$$i/LC_MESSAGES; \
		fi ; \
		$(INSTALL_DATA) locale/$$i/LC_MESSAGES/messages.mo \
			$(DESTDIR)/$(localedir)/$$i/LC_MESSAGES/yudit.mo ; \
		echo installing messages for $$i; \
	done
	@rm -f $(DESTDIR)/$(bindir)/yudit
	$(INSTALL_PROGRAM) $(MAIN) $(DESTDIR)/$(bindir)
	$(INSTALL_DATA) yudit.1 $(DESTDIR)/$(mandir)/man1

messages:
	@if [ $(MSGMERGE) != ":" ] ; then \
		echo "start translating  messages"; \
		xgettext --c++ --keyword=translate  ../swidget/*.cpp *.cpp; \
		sed -i 's/charset=CHARSET/charset=UTF-8/g' messages.po; \
		for i in $(LOCALES); do \
			echo locale/$$i/LC_MESSAGES/messages.po ; \
			cd locale/$$i/LC_MESSAGES ; touch messages.po;  \
			$(MSGMERGE) --width=100 --strict \
			  messages.po ../../../messages.po > messages.pod; \
			if [ $$? != 0 ]; then \
				cd ../../..; \
				exit 1; \
			fi;  \
			mv messages.pod messages.po; \
			msgfmt -o messages.mo messages.po;  \
			cd ../../..; \
		done ; \
		echo "end translating  messages" ; \
	fi

clean: 
	rm -f *.o  *.obj *.o *.exe $(TARGET) $(MAIN)

ifeq (.depend, $(wildcard .depend))
include .depend
endif

=== mytool/Makefile ===
include ../Makefile.conf

MODULES=Main.o ProcessFile.o
SUBDIRS=kmap mys uni hwd
CPPFLAGS:=$(CPPFLAGS) -DHAVE_STRTOL

ifeq ($(SPLATFORM),WINDOWS)
OBJS=$(subst .o,.obj,$(MODULES))
SLIBS=/libpath:../stoolkit stoolkit.lib
SWINLIBS=/libpath:../swindow 
MYLIBS=/link /subsystem:CONSOLE $(SWINLIBS) $(SLIBS) $(ALL_LIBS)
else
OBJS=$(MODULES)
SLIBS=-L../stoolkit -lstoolkit
SWINLIBS=-L../swindow -lswindow 
MYLIBS=$(SWINLIBS) $(SLIBS) $(ALL_LIBS)
endif

SUBDIRS_all:=$(foreach dir, $(SUBDIRS), $(dir)_all)
SUBDIRS_clean:=$(foreach dir, $(SUBDIRS), $(dir)_clean)

.PHONY:all clean config  $(SUBDIRS_all) $(SUBDIRS_clean)

all:  mytool $(SUBDIRS_all)

mytool: $(OBJS)
	$(LD) -o mytool $(OBJS) $(MYLIBS) 

%.o:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .o,.cpp,$@)

%.obj:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .obj,.cpp,$@)

$(SUBDIRS_all): mytool
	$(MAKE) -C $(patsubst %_all,%,$@) all

clean: $(SUBDIRS_clean)
	rm -f *.o *.obj mytool mytool.exe

depend:
	$(CXX) -M  $(CPPFLAGS)  $(patsubst %.o,%.cpp,$(OBJS)) > .depend

install:
	rm -f $(DESTDIR)/$(bindir)/mytool
	@for i in $(SUBDIRS); do \
		cd $$i; $(MAKE) install; cd ..; \
	done
	$(INSTALL_PROGRAM) mytool $(DESTDIR)/$(bindir)
	$(INSTALL_DATA) mytool.1 $(DESTDIR)/$(mandir)/man1

$(SUBDIRS_clean):
	$(MAKE) -C $(patsubst %_clean,%,$@) clean

ifeq (.depend, $(wildcard .depend))
include .depend
endif

=== stoolkit/Makefile ===
include ../Makefile.conf

MODULES=SExcept.o SObject.o SShared.o SHShared.o SBVector.o \
  SBHashtable.o SString.o SUniqueID.o SStringVector.o SProperties.o \
  SEvent.o SEventBSD.o SIO.o SIOStream.o SCharClass.o \
  SConfig.o SBMap.o SUniMap.o SEncoder.o SMatrix.o \
  STextIndex.o SCursorIndex.o SEmbedState.o SGlyph.o SParagraph.o \
  STextData.o SUtil.o SAutogen.o SDimension.o SLocation.o \
  SLineCurve.o SHWConverter.o SCluster.o SBiDi.o SRendClass.o \
  SRectangle.o 


SENC_OBJS= sencoder/SBEncoder.o \
  sencoder/SB_UTF8.o \
  sencoder/SB_Java.o \
  sencoder/SB_UTF7.o \
  sencoder/SB_Generic.o \
  sencoder/SB_ISO2022_JP.o \
  sencoder/SB_ISO2022_JP3.o \
  sencoder/SB_EUC_JP.o \
  sencoder/SB_X11_JP.o \
  sencoder/SB_S_JIS.o  \
  sencoder/SB_X11_HZ.o \
  sencoder/SB_GB2312_8.o \
  sencoder/SB_HZ.o  \
  sencoder/SB_X11_KSC.o \
  sencoder/SB_EUC_KR.o \
  sencoder/SB_UHC.o  \
  sencoder/SB_Johab.o  \
  sencoder/SB_BIG5.o \
  sencoder/SB_UCS2.o \
  sencoder/SB_UInput.o  \
  sencoder/SB_DeShape.o  \
  sencoder/SB_NCR.o  \
  sencoder/SB_GB18030.o  \
  sencoder/SB_S_JIS0213.o  \
  sencoder/SB_EUC_JP0213.o  \
  sencoder/SB_BiDi.o  

SREGEX_OBJS= \
  syntax/SSyntax.o \
  syntax/SSyntaxMarker.o \
  syntax/SMatcher.o \
  syntax/SPattern.o \
  syntax/SHunspellPattern.o

SSEDY_OBJS= \
  sedy/SSedy.o 

# Can not distribute source code for cryptos, they can be added as so
# to binary or compiled from source.
ifeq ($(wildcard ../addon/yudit_sedy/yudit_sedy.h),../addon/yudit_sedy/yudit_sedy.h)
SEDY_CPPFLAGS=-DSEDY_BUILT_IN=1
else
SEDY_CPPFLAGS=-DSEDY_BUILT_IN=0
endif


ifeq ($(SPLATFORM),WINDOWS)
OBJS=$(subst .o,.obj,$(MODULES)) $(patsubst sencoder/%.o,%.obj,$(SENC_OBJS)) $(patsubst syntax/%.o,%.obj,$(SREGEX_OBJS)) $(patsubst sedy/%.o,%.obj,$(SSEDY_OBJS))
TARGET=stoolkit.lib
else
OBJS=$(MODULES) $(SENC_OBJS) $(SREGEX_OBJS) $(SSEDY_OBJS)
TARGET=libstoolkit.a
endif


all: $(TARGET)

stoolkit.lib: $(OBJS)
	$(AR)$@ $(OBJS)

libstoolkit.a: $(OBJS)
	$(AR) $@ $(OBJS)
	$(RANLIB) $@      

sencoder/%.o:sencoder/%.cpp
	$(CXX) -c -o $@ $(CPPFLAGS) $(patsubst %.o,%.cpp,$@)

syntax/%.o:syntax/%.cpp
	$(CXX) -c -o $@ $(CPPFLAGS) $(patsubst %.o,%.cpp,$@)

sedy/%.o:sedy/%.cpp
	$(CXX) -c -o $@ $(SEDY_CPPFLAGS) $(CPPFLAGS) $(patsubst %.o,%.cpp,$@)

SUtil.o:SUtil.cpp
	$(CXX) -c -DYUDIT_PREFIX=\"${prefix}\" -DLOCALE_DIR=\"$(localedir)\" -DBIN_DIR=\"$(bindir)\" -DYUDIT_DATA=\"$(YUDIT_DATA)\" -DYUDIT_DOC_DIR=\"$(docdir)\" $(CPPFLAGS) $(subst .o,.cpp,$@)

%.o:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .o,.cpp,$@)

%.obj:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .obj,.cpp,$@)

%.obj:sencoder/%.cpp
	$(CXX) -c $(CPPFLAGS) $(patsubst %.obj,sencoder/%.cpp,$@)

%.obj:syntax/%.cpp
	$(CXX) -c $(CPPFLAGS) $(patsubst %.obj,syntax/%.cpp,$@)

%.obj:sedy/%.cpp
	$(CXX) -c $(SEDY_CPPFLAGS) $(CPPFLAGS) $(patsubst %.obj,sedy/%.cpp,$@)

depend:
	$(CXX) -M  $(CPPFLAGS)  $(patsubst %.o,%.cpp,$(OBJS)) > .depend

clean: 
	rm -f *.o  *.obj $(TARGET) sencoder/*.o sencoder/*.obj syntax/*.o syntax/*.obj sedy/*.o sedy/*.obj

install:

ifeq (.depend, $(wildcard .depend))
include .depend
endif

=== swindow/Makefile ===
include ../Makefile.conf

MODULES=SAwt.o SGPrimitive.o SGEngine.o SWindow.o SColor.o \
 SImage.o SPen.o SRedrawEvent.o \
 SFont.o SFontImpl.o SFontTTF.o SFontOTF.o SFontBDF.o SUniFont.o \
 SFontFB.o SFontNative.o SPostscript.o \
 SPrinter.o SAccelerator.o SScriptProcessor.o  \
 SSyntaxColors.o SFontCFF.o SRasterizer.o

TARGETDIR=
TARGETOBJS=

ifeq ($(SWINDOWS),X11)
TARGETDIR:=$(TARGETDIR) SX11
ifeq ($(USE_X11),-DUSE_X11=1)
TARGETOBJS:=sx11/SX11Impl.o sx11/SX11Window.o \
 sx11/SX11Color.o sx11/SX11Font.o \
 sx11/SXInputMethod.o sx11/SXEventHandler.o 
endif
CPPFLAGS:=$(CPPFLAGS) $(SWINDOW_FLAGS) 
endif

ifeq ($(SWINDOWS),WIN32)
TARGETDIR:=$(TARGETDIR) swin32
TARGETOBJS:=SWin32.o
CPPFLAGS:=$(CPPFLAGS) 
endif

ifeq ($(SWINDOWS),OSX)
TARGETDIR:=$(TARGETDIR) sosx
TARGETOBJS:=sosx/SOSX.o \
  sosx/SCocoa.o \
  sosx/SCocoaInput.o \
  sosx/SKeyboard.o \
  sosx/SEventOSX.o
CPPFLAGS:=$(CPPFLAGS) -DUSE_OSX=1
endif

ifeq ($(SPLATFORM),WINDOWS)
OBJS=$(subst .o,.obj,$(MODULES)) $(subst .o,.obj,$(TARGETOBJS))
#OBJS:=$(subst /,\,$(OBJS))
TARGET=swindow.lib
else
OBJS=$(MODULES) $(TARGETOBJS)
TARGET=libswindow.a
endif


all: $(TARGET)

#
# The cl drops its lib here
#
swindow.lib: $(OBJS)
	$(AR)$@ $(subst swin32/,,$(OBJS))

libswindow.a: $(OBJS)
	$(AR) $@ $(OBJS)
	$(RANLIB) $@      

sx11/%.o:sx11/%.cpp
	$(CXX) -c -o $@ $(HAVE_LOCALE) $(NEED_SET_IM_VALUES_PROTO) $(HAVE_SET_IM_VALUES) $(CPPFLAGS) $(patsubst %.o,%.cpp,$@)

sosx/%.o:sosx/%.cpp
	$(CXX) -c -o $@ $(CPPFLAGS) $(patsubst %.o,%.cpp,$@)

#  -lobjc -lgnustep-base 
sosx/%.o:sosx/%.mm
	$(CXX) -c -o $@ $(CPPFLAGS) $(patsubst %.o,%.mm,$@)

%.o:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .o,.cpp,$@)

%.obj:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .obj,.cpp,$@)

%.obj:swin32/%.cpp
	$(CXX) -c $(CPPFLAGS) $(patsubst %.obj,swin32/%.cpp,$@)

depend:
	$(CXX) -M  $(CPPFLAGS)  $(patsubst %.o,%.cpp,$(OBJS)) > .depend

clean: 
	rm -f *.o  *.obj */*.o */*.obj $(TARGET)

install:

ifeq (.depend, $(wildcard .depend))
include .depend
endif

=== tests/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 PS=$(subst .txt,.ps,$(TXT))
 CPP=$(subst .txt,.cpp,$(TXT))
 
-all: $(PS) $(CPP) rasterizerTest  toolTest
+all: rasterizerTest  toolTest
 SLIBS=-L../addon -laddon -L../swidget -lswidget -L../swindow -lswindow -L../stoolkit  -lstoolkit $(ALL_LIBS)
 
 %.ps:

=== mytool/hwd/Makefile ===
# Simple as that - we want utf-8 in our files.
#
# PLEASE READ documents in ../../doc/hwd
# ======================================
#
# Do not even try this unless you have yudit version 2.4.8beta7 or better
# uniconv shift-jis was fixed there. 
# Gaspar Sinai <gsinai@yudit.org>
# 2001-10-02 Tokyo
#
# http://www.kotnet.org/~skimo/kanji/gtkkanjipad-0.07.tar.gz 
# has strokedata.h and hanzidata.h.
# I have them here too.

include ../../Makefile.conf

TARGET=kanji.hwd hanzi.hwd 

all:
	@echo "hwd is already made when packaged"

really: $(TARGET)

kanji.hwd: strokedata.h convert.pl
	perl convert.pl  sjis $<  > $@
	patch -p0 < kanji.hwd.patch0
	patch -p0 < kanji.hwd.patch1
	patch -p0 < kanji.hwd.patch2
	patch -p0 < kanji.hwd.patch3
	patch -p0 < kanji.hwd.patch4
	patch -p0 < kanji.hwd.patch5

hanzi.hwd: hanzidata.h convert.pl
	perl convert.pl  gb  $< > $@

reallyclean:
	rm -f kanji.hwd  hanzi.hwd *.bak  core

clean:
	rm -f  *.bak  core

install:
	@if test ! -d $(DESTDIR)/$(prefix) ; then mkdir -p $(DESTDIR)/$(prefix); fi
	@if test ! -d $(DESTDIR)/$(datadir) ; then mkdir -p $(DESTDIR)/$(datadir);fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit ; then mkdir -p $(DESTDIR)/$(datadir)/yudit;fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit/data ;then mkdir -p $(DESTDIR)/$(datadir)/yudit/data;fi 
	@echo installing hwd files...
	@$(INSTALL_DATA) *.hwd $(DESTDIR)/$(datadir)/yudit/data

depend:

=== mytool/mys/Makefile ===
include ../../Makefile.conf

#-------------------------------------------------------------------------------

.SUFFIXES: .o .cpp .h .mys .my
SRC_MAPS=$(basename $(notdir $(wildcard *.mys)))
OUT_MAPS=$(addsuffix .my,$(SRC_MAPS))

#
# Contains private, unofficial JIS0213-1.TXT JIS0213-2.TXT
# needed for jis-0213-1.mys, jis-0213-2.mys, shift-jis-3.mys
#
JIS0213_1=../../../JISX0213-1.TXT
JIS0213_2=../../../JISX0213-2.TXT

TARGET = $(OUT_MAPS) 



%.o:%.cpp
	$(CXX)  -c $(ALL_CFLAGS) -o $@ $<


all: $(TARGET)

%.my:%.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $<

Emoji.my:Emoji.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

German-deadkeys.my:German-deadkeys.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

German-deadkeys2.my:German-deadkeys2.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

Shavian.my:Shavian.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

OldHungarian.my:OldHungarian.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

OldItalic.my:OldItalic.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

IS_AS.my:IS_AS.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

IS_BN.my:IS_BN.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

IS_DV.my:IS_DV.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

IS_GJ.my:IS_GJ.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

IS_KN.my:IS_KN.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

IS_ML.my:IS_ML.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

IS_OR.my:IS_OR.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

IS_PJ.my:IS_PJ.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

IS_RM.my:IS_RM.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

IS_TL.my:IS_TL.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

IS_TM.my:IS_TM.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

tscii.my:tscii.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

nastaliq.my:nastaliq.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

# Make all jis-0213-1.mys, jis-0213-2.mys, shift-jis-3.mys
# This is usually already made.
jisx0213: 
	perl ../../bin/parsejisx0213.pl 2 jis-0213-1.mys  $(JIS0213_1) > jis-0213-1.mys
	perl ../../bin/parsejisx0213.pl 2 jis-0213-2.mys  $(JIS0213_2) > jis-0213-2.mys
	perl ../../bin/parsejisx0213.pl 1 shift-jis-3.mys $(JIS0213_1) $(JIS0213_2) > shift-jis-3.mys

jis-0213-1.my:jis-0213-1.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

jis-0213-2.my:jis-0213-2.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

shift-jis-3.my:shift-jis-3.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

gb-18030.my:gb-18030.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

charclass.my:charclass.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

bidiclass.my:bidiclass.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

clean:
	rm -f *.my *.o *.bak core message.txt

depend:

install: $(TARGET)
	@if test ! -d $(DESTDIR)/$(prefix) ; then mkdir -p $(DESTDIR)/$(prefix); fi
	@if test ! -d $(DESTDIR)/$(datadir) ; then mkdir -p $(DESTDIR)/$(datadir); fi
	@if test ! -d $(DESTDIR)/$(datadir)/yudit ; then mkdir -p $(DESTDIR)/$(datadir)/yudit;fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit/data ;then mkdir -p $(DESTDIR)/$(datadir)/yudit/data;fi 
	@echo installing my files...
	@$(INSTALL_DATA) *.my  $(DESTDIR)/$(datadir)/yudit/data
	

ifeq (.depend, $(wildcard .depend))
include .depend
endif

=== debian/changelog ===
yudit (3.1.0-1) unstable; urgency=medium

  * New upsstream release
  * Drop debian/patches: merged upstream
  * debian/yudit-common.install
    - Install png icon files

 -- Hideki Yamane <henrich@debian.org>  Mon, 13 Feb 2023 17:10:09 +0900

=== debian/control ===
Source: yudit
Section: editors
Priority: optional
Maintainer: Hideki Yamane <henrich@debian.org>
Build-Depends: debhelper-compat (= 13), x11proto-core-dev, libx11-dev, gettext
Standards-Version: 4.6.2
Homepage: https://www.yudit.org
Vcs-Browser: https://salsa.debian.org/debian/yudit
Vcs-Git: https://salsa.debian.org/debian/yudit.git

Package: yudit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yudit-common (= ${source:Version})
Recommends: unifont, gv, libhunspell-1.7-0, hunspell-en-us | hunspell-dictionary
Suggests: yudit-doc, ttf-mscorefonts-installer, fonts-vlgothic | fonts-japanese-gothic, fonts-freefont-ttf
Description: Unicode text editor (arch-dependent binaries)
 yudit is a Unicode text editor for the X Window System. It does not need
 localized environment or Unicode fonts. It supports simultaneous processing
 of many languages, conversions for local character standards, bidirectional
 input, has its own input methods. The package includes conversion utilities,
 and it also has support for PostScript printing.

Package: yudit-common
Architecture: all
Depends: ${misc:Depends}
Suggests: yudit-doc (= ${source:Version}), yudit (= ${source:Version})
Multi-Arch: foreign
Description: Unicode text editor (arch-independent files)
 yudit is a Unicode text editor for the X Window System. It does not need
 localized environment or Unicode fonts. It supports simultaneous processing
 of many languages, conversions for local character standards, bidirectional
 input, has its own input methods. The package includes conversion utilities,
 and it also has support for PostScript printing.
 .
 This package contains the arch-independent files in /usr/share.

Package: yudit-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Unicode text editor (Documentation)
 The unicode editor "yudit" has got a big documentation in lots of languages.
 After the installation, the documentation will be available in:
 /usr/share/doc/yudit-doc/

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --with-x \
			     --x-includes=/usr/include/X11 \
			     --x-libraries="/usr/lib/lib64,/usr/lib/lib32,/usr/lib/lib"

override_dh_compress:
	dh_compress -XHOWTO -XFAQ
